import React, { useState, useEffect } from 'react';
import {
  Modal,
  Form,
  Select,
  Radio,
  Checkbox,
  Input,
  Row,
  Col,
  Button,
  InputNumber,
  Tree,
} from 'antd';
import Icon from '@/tenants-ui/SgIcon';
import styles from './index.less';
import cx from 'classnames';
import { useModel } from 'umi';
import { EllipsisOutlined } from '@ant-design/icons';
import { ExclamationCircleOutlined } from '@ant-design/icons';
import AreaTree from '../areaTree';

import moment from 'moment';
import { queryUserInfo, saveUserInfo } from '@/services/sagacare_service/member';

const PersonModal = ({ checkUser, checkSign, setCheckSign, onClose }) => {
  const { initialState } = useModel('@@initialState');
  const [form] = Form.useForm();
  const [invalidSign, setInvalidSign] = useState(false);
  useEffect(() => {
    queryUserInfo()
      .then((res) => {})
      .catch((err) => {});
  }, [checkUser]);

  const formItemLayout = {
    labelCol: {
      span: 6,
    },
    wrapperCol: {
      span: 14,
    },
  };
  const onSelect = (selectedKeys, info) => {
    console.log('selected', selectedKeys, info);
  };
  const onCheck = (checkedKeys, info) => {
    console.log('onCheck', checkedKeys, info);
  };
  // useEffect(() => {
  //   console.log('checkUsercheckUsercheckUser', checkUser);
  // }, [checkUser]);

  const saveUser = () => {
    form
      .validateFields()
      .then((value) => {
        debugger;

        saveUserInfo()
          .then((res) => {})
          .catch((err) => {});
      })
      .catch((err) => {
        debugger;
      });
  };
  const editUser = () => {
    setCheckSign('edit');
  };
  return (
    <>
      <Modal open closable={false} footer={null} width={760}>
        <div className={styles.modalmain}>
          <div className={styles.header}>
            <div
              className={styles.close}
              onClick={() => {
                form.resetFields();
                onClose();
              }}
            >
              <Icon type="close" />
            </div>
          </div>
          {!invalidSign && (
            <>
              <div className={styles.content}>
                <Form
                  {...formItemLayout}
                  form={form}
                  // onFinish={onFinish}
                  layout="vertical"
                  initialValues={{
                    ...checkUser,
                  }}
                >
                  <Row gutter={[32, 8]}>
                    <Col span={12}>
                      <Form.Item
                        shouldUpdate={(pre, curr) => {
                          console.log('pre,curr', pre, curr);
                          return true;
                        }}
                        name="name"
                        label="姓名"
                        labelAlign="left"
                        hasFeedback
                        rules={[
                          {
                            required: true,
                            message: '不能为空!',
                          },
                        ]}
                      >
                        {checkSign != 'check' ? (
                          <Input placeholder="输入姓名" style={{ width: 300, height: 50 }} />
                        ) : (
                          <div className={styles.showName}>{checkUser.name}</div>
                        )}
                      </Form.Item>
                    </Col>
                    <Col span={12}>
                      <Form.Item
                        name="manageUserType"
                        label="成员类型"
                        // tooltip="xxx"
                        rules={[
                          {
                            required: true,
                            message: '不能为空!',
                          },
                        ]}
                      >
                        {checkSign != 'check' ? (
                          <Select placeholder="选择成员类型" style={{ width: 300, height: 50 }}>
                            <Select.Option value="1">普通成员</Select.Option>
                            <Select.Option value="2">管理员</Select.Option>
                            <Select.Option value="3">临时成员</Select.Option>
                          </Select>
                        ) : (
                          <div className={styles.showName}>{checkUser.manageUserType}</div>
                        )}
                      </Form.Item>
                    </Col>
                    <Col span={12}>
                      <Form.Item
                        name="phone"
                        label="手机"
                        labelAlign="left"
                        hasFeedback
                        rules={[
                          {
                            required: true,
                            message: '不能为空!',
                          },
                        ]}
                      >
                        {checkSign != 'check' ? (
                          <Input
                            prefix={<span>+86</span>}
                            style={{ width: 300, height: 50 }}
                            suffix={<ExclamationCircleOutlined />}
                            placeholder="输入手机号"
                          />
                        ) : (
                          checkSign == 'check' && (
                            <div className={styles.showName}>{checkUser.phone}</div>
                          )
                        )}
                      </Form.Item>
                    </Col>
                    <Col span={12}>
                      <Form.Item name="job" label="职务" labelAlign="left" hasFeedback>
                        {checkSign != 'check' ? (
                          <Input placeholder="输入职务" style={{ width: 300, height: 50 }} />
                        ) : (
                          <div className={styles.showName}>{checkUser.job}</div>
                        )}
                      </Form.Item>
                    </Col>
                    <Col span={24}>
                      <Form.Item label="工区选择" labelAlign="left" hasFeedback name="radioValue">
                        <AreaTree checkSign={checkSign}></AreaTree>
                      </Form.Item>
                    </Col>
                  </Row>
                </Form>
              </div>
              <div className={styles.footer}>
                {checkSign != 'check' ? (
                  <div
                    className={styles.btn}
                    onClick={() => {
                      saveUser();
                    }}
                  >
                    <span>保存</span>
                  </div>
                ) : (
                  <div
                    className={styles.btn}
                    onClick={() => {
                      editUser();
                    }}
                  >
                    <span>编辑</span>
                  </div>
                )}
              </div>
            </>
          )}
          {invalidSign && (
            <div className={styles.content}>
              <div>作废13333333333的身份</div>
              <div>该账号在贵公司的认证状态将失效，重新使用该软件需重新认证</div>
              <div>
                将释放该账号下的所有权益，包括但不限于该公司空间控制、通行，碳积分兑换及相关消费活动
              </div>
              <div>
                将保留该账号下所有已预约的空间、服务订单、访客邀请记录、历史设备操作记录及碳积分
              </div>
              <div>请在下方输入框内输入账号姓名</div>
              <div>18611738701</div>
              <div>
                <input></input>
              </div>
              <div className={styles.btn}>
                <span>作废</span>
              </div>
            </div>
          )}
        </div>
      </Modal>
    </>
  );
};

export default PersonModal;
