import { request } from 'umi';
import { projectObj } from '@/config/api.js';
import UserStorage from '@/config/sagacare/sagacare_user';

function getProjectId() {
  //const id = window.localStorage.getItem('localProjectId')
  const id = projectObj.projectId;
  return id;
}

function commonParams() {
  var userObj = UserStorage.getInstance();
  const user = userObj.getUser();
  var pubname = 'sgadmin';
  return `openid=${user.id}&pubname=${pubname}&projectId=${getProjectId()}&userId=${
    user.id
  }&userName=${user.name}&userPhone=${user.phone}`;
}

//新增/修改用户
export async function saveUserInfo(params, options) {
  return request(`/sgadmin/controlSpaceUser/saveUser?${commonParams()}`, {
    method: 'GET',
    from: 'sagacare',
    headers: {
      'Content-Type': 'application/json',
    },
    ...(options || {}),
    params: {
      ...params,
    },
  });
}
//查询用户信息
export async function queryUserInfo(params, options) {
  return request(`/sgadmin/controlSpaceUser/queryUser?${commonParams()}`, {
    method: 'GET',
    from: 'sagacare',
    headers: {
      'Content-Type': 'application/json',
    },
    ...(options || {}),
    params: {
      ...params,
    },
  });
}
//用户作废
export async function deleteUser(params, options) {
  return request(`/sgadmin/controlSpaceUser/deleteUser?${commonParams()}`, {
    method: 'GET',
    from: 'sagacare',
    headers: {
      'Content-Type': 'application/json',
    },
    ...(options || {}),
    params: {
      ...params,
    },
  });
}
//用户查询列表
export async function queryUserList(params, options) {
  return request(`/sgadmin/controlSpaceUser/query?${commonParams()}`, {
    method: 'GET',
    from: 'sagacare',
    headers: {
      'Content-Type': 'application/json',
    },
    ...(options || {}),
    params: {
      ...params,
    },
  });
}
//查询受控列表
export async function getControlSpaceCompany(params, options) {
  return request(`/sgadmin/controlSpaceUser/getControlSpaceCompany?${commonParams()}`, {
    method: 'GET',
    from: 'sagacare',
    headers: {
      'Content-Type': 'application/json',
    },
    ...(options || {}),
    params: {
      ...params,
    },
  });
}
//是否oa同步
export async function queryCompanyOAById(params, options) {
  return request(`/sgadmin/texCompany/queryCompanyById?${commonParams()}`, {
    method: 'GET',
    from: 'sagacare',
    headers: {
      'Content-Type': 'application/json',
    },
    ...(options || {}),
    params: {
      ...params,
    },
  });
}
